Home

Osmosis - gRPC Gateway docs

v1.0.0
Base URL
https://osmo.nownodes.io

A REST interface for state queries, legacy transactions

Authentication

api-keyAuthapiKey

API Key: api-key in header

API Reference

Epochs

CurrentEpoch provide current epoch of specified identifier

GET
https://osmo.nownodes.io/osmosis/epochs/v1beta1/current_epoch

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

identifierstringquery

Response

200OK

A successful response.

default

An unexpected error response.

EpochInfos provide running epochInfos

GET
https://osmo.nownodes.io/osmosis/epochs/v1beta1/epochs

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

Gamm

PoolsWithFilter allows you to query specific pools with requested parameters

GET
https://osmo.nownodes.io/osmosis/gamm/v1beta1/filtered_pools

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

min_liquiditystringquery

String of the coins in single string seperated by comma. Ex) 10uatom,100uosmo.

pool_typestringquery
pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstring<uint64>query

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstring<uint64>query

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalbooleanquery

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reversebooleanquery

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Response

200OK

A successful response.

default

An unexpected error response.

Deprecated: please use the alternative in x/poolmanager

GET
https://osmo.nownodes.io/osmosis/gamm/v1beta1/num_pools

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

PoolType returns the type of the pool. Returns "Balancer" as a string literal when the pool is a balancer pool. Errors if the pool is failed to be type caseted.

GET
https://osmo.nownodes.io/osmosis/gamm/v1beta1/pool_type/{pool_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

pool_idstring<uint64>requiredpath

Response

200OK

A successful response.

default

An unexpected error response.

GET
https://osmo.nownodes.io/osmosis/gamm/v1beta1/pools

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstring<uint64>query

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstring<uint64>query

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalbooleanquery

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reversebooleanquery

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Response

200OK

A successful response.

default

An unexpected error response.

Deprecated: please use the alternative in x/poolmanager

GET
https://osmo.nownodes.io/osmosis/gamm/v1beta1/pools/{pool_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

pool_idstring<uint64>requiredpath

Response

200OK

A successful response.

default

An unexpected error response.

GET
https://osmo.nownodes.io/osmosis/gamm/v1beta1/pools/{pool_id}/exit_swap_share_amount_in

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

pool_idstring<uint64>requiredpath
share_in_amountstringquery

Response

200OK

A successful response.

default

An unexpected error response.

GET
https://osmo.nownodes.io/osmosis/gamm/v1beta1/pools/{pool_id}/join_swap_exact_in

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

pool_idstring<uint64>requiredpath

Response

200OK

A successful response.

default

An unexpected error response.

GET
https://osmo.nownodes.io/osmosis/gamm/v1beta1/pools/{pool_id}/params

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

pool_idstring<uint64>requiredpath

Response

200OK

A successful response.

default

An unexpected error response.

SpotPrice defines a gRPC query handler that returns the spot price given a base denomination and a quote denomination.

GET
https://osmo.nownodes.io/osmosis/gamm/v1beta1/pools/{pool_id}/prices

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

pool_idstring<uint64>requiredpath
base_asset_denomstringquery
quote_asset_denomstringquery

Response

200OK

A successful response.

default

An unexpected error response.

Deprecated: please use the alternative in x/poolmanager

GET
https://osmo.nownodes.io/osmosis/gamm/v1beta1/pools/{pool_id}/total_pool_liquidity

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

pool_idstring<uint64>requiredpath

Response

200OK

A successful response.

default

An unexpected error response.

GET
https://osmo.nownodes.io/osmosis/gamm/v1beta1/pools/{pool_id}/total_shares

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

pool_idstring<uint64>requiredpath

Response

200OK

A successful response.

default

An unexpected error response.

GET
https://osmo.nownodes.io/osmosis/gamm/v1beta1/total_liquidity

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

Deprecated: please use the alternative in x/poolmanager

GET
https://osmo.nownodes.io/osmosis/gamm/v1beta1/{pool_id}/estimate/swap_exact_amount_in

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

pool_idstring<uint64>requiredpath
senderstringquery
token_instringquery

Response

200OK

A successful response.

default

An unexpected error response.

Deprecated: please use the alternative in x/poolmanager

GET
https://osmo.nownodes.io/osmosis/gamm/v1beta1/{pool_id}/estimate/swap_exact_amount_out

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

pool_idstring<uint64>requiredpath
senderstringquery
token_outstringquery

Response

200OK

A successful response.

default

An unexpected error response.

Incentives

ActiveGauges returns active gauges

GET
https://osmo.nownodes.io/osmosis/incentives/v1beta1/active_gauges

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstring<uint64>query

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstring<uint64>query

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalbooleanquery

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reversebooleanquery

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Response

200OK

A successful response.

default

An unexpected error response.

ActiveGaugesPerDenom returns active gauges by denom

GET
https://osmo.nownodes.io/osmosis/incentives/v1beta1/active_gauges_per_denom

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

denomstringquery

Desired denom when querying active gagues.

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstring<uint64>query

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstring<uint64>query

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalbooleanquery

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reversebooleanquery

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Response

200OK

A successful response.

default

An unexpected error response.

AllGroups returns all groups

GET
https://osmo.nownodes.io/osmosis/incentives/v1beta1/all_groups

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

AllGroupsGauges returns all group gauges

GET
https://osmo.nownodes.io/osmosis/incentives/v1beta1/all_groups_gauges

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

AllGroupsWithGauge returns all groups with their group gauge

GET
https://osmo.nownodes.io/osmosis/incentives/v1beta1/all_groups_with_gauge

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

CurrentWeightByGroupGaugeID returns the current weight since the the last epoch given a group gauge ID

GET
https://osmo.nownodes.io/osmosis/incentives/v1beta1/current_weight_by_group_gauge_id/{group_gauge_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

group_gauge_idstring<uint64>requiredpath

Response

200OK

A successful response.

default

An unexpected error response.

GaugeByID returns gauges by their respective ID

GET
https://osmo.nownodes.io/osmosis/incentives/v1beta1/gauge_by_id/{id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

idstring<uint64>requiredpath

Gague ID being queried

Response

200OK

A successful response.

default

An unexpected error response.

Gauges returns both upcoming and active gauges

GET
https://osmo.nownodes.io/osmosis/incentives/v1beta1/gauges

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstring<uint64>query

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstring<uint64>query

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalbooleanquery

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reversebooleanquery

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Response

200OK

A successful response.

default

An unexpected error response.

GroupByGroupGaugeID returns a group given its group gauge ID

GET
https://osmo.nownodes.io/osmosis/incentives/v1beta1/group_by_group_gauge_id/{id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

idstring<uint64>requiredpath

Response

200OK

A successful response.

default

An unexpected error response.

LockableDurations returns lockable durations that are valid to distribute incentives for

GET
https://osmo.nownodes.io/osmosis/incentives/v1beta1/lockable_durations

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

ModuleToDistributeCoins returns coins that are going to be distributed

GET
https://osmo.nownodes.io/osmosis/incentives/v1beta1/module_to_distribute_coins

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

RewardsEst returns an estimate of the rewards from now until a specified time in the future The querier either provides an address or a set of locks for which they want to find the associated rewards

GET
https://osmo.nownodes.io/osmosis/incentives/v1beta1/rewards_est/{owner}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

ownerstringrequiredpath

Address that is being queried for future estimated rewards

lock_idsArray<string>query

Lock IDs included in future reward estimation.

end_epochstring<int64>query

Upper time limit of reward estimation Lower limit is current epoch.

Response

200OK

A successful response.

default

An unexpected error response.

Returns scheduled gauges that have not yet occured

GET
https://osmo.nownodes.io/osmosis/incentives/v1beta1/upcoming_gauges

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstring<uint64>query

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstring<uint64>query

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalbooleanquery

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reversebooleanquery

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Response

200OK

A successful response.

default

An unexpected error response.

UpcomingGaugesPerDenom returns scheduled gauges that have not yet occured by denom

GET
https://osmo.nownodes.io/osmosis/incentives/v1beta1/upcoming_gauges_per_denom

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

denomstringquery

Filter for upcoming gagues that match specific denom.

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstring<uint64>query

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstring<uint64>query

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalbooleanquery

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reversebooleanquery

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Response

200OK

A successful response.

default

An unexpected error response.

Lockup

Return a locked coins that can't be withdrawn

GET
https://osmo.nownodes.io/osmosis/lockup/v1beta1/account_locked_coins/{owner}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

ownerstringrequiredpath

Response

200OK

A successful response.

default

An unexpected error response.

Returns account locked records with a specific duration

GET
https://osmo.nownodes.io/osmosis/lockup/v1beta1/account_locked_duration/{owner}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

ownerstringrequiredpath
durationstringquery

Response

200OK

A successful response.

default

An unexpected error response.

Returns account locked records with longer duration

GET
https://osmo.nownodes.io/osmosis/lockup/v1beta1/account_locked_longer_duration/{owner}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

ownerstringrequiredpath
durationstringquery

Response

200OK

A successful response.

default

An unexpected error response.

Returns account's locked records for a denom with longer duration

GET
https://osmo.nownodes.io/osmosis/lockup/v1beta1/account_locked_longer_duration_denom/{owner}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

ownerstringrequiredpath
durationstringquery
denomstringquery

Response

200OK

A successful response.

default

An unexpected error response.

Returns account locked records with longer duration excluding tokens started unlocking

GET
https://osmo.nownodes.io/osmosis/lockup/v1beta1/account_locked_longer_duration_not_unlocking_only/{owner}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

ownerstringrequiredpath
durationstringquery

Response

200OK

A successful response.

default

An unexpected error response.

Returns locked records of an account with unlock time beyond timestamp

GET
https://osmo.nownodes.io/osmosis/lockup/v1beta1/account_locked_pasttime/{owner}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

ownerstringrequiredpath
timestampstring<date-time>query

Response

200OK

A successful response.

default

An unexpected error response.

Returns lock records by address, timestamp, denom

GET
https://osmo.nownodes.io/osmosis/lockup/v1beta1/account_locked_pasttime_denom/{owner}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

ownerstringrequiredpath
timestampstring<date-time>query
denomstringquery

Response

200OK

A successful response.

default

An unexpected error response.

Returns locked records of an account with unlock time beyond timestamp excluding tokens started unlocking

GET
https://osmo.nownodes.io/osmosis/lockup/v1beta1/account_locked_pasttime_not_unlocking_only/{owner}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

ownerstringrequiredpath
timestampstring<date-time>query

Response

200OK

A successful response.

default

An unexpected error response.

Returns unlockable coins which are not withdrawn yet

GET
https://osmo.nownodes.io/osmosis/lockup/v1beta1/account_unlockable_coins/{owner}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

ownerstringrequiredpath

Response

200OK

A successful response.

default

An unexpected error response.

Returns unlocked records with unlock time before timestamp

GET
https://osmo.nownodes.io/osmosis/lockup/v1beta1/account_unlocked_before_time/{owner}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

ownerstringrequiredpath
timestampstring<date-time>query

Response

200OK

A successful response.

default

An unexpected error response.

Returns unlocking coins

GET
https://osmo.nownodes.io/osmosis/lockup/v1beta1/account_unlocking_coins/{owner}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

ownerstringrequiredpath

Response

200OK

A successful response.

default

An unexpected error response.

Returns lock record by id

GET
https://osmo.nownodes.io/osmosis/lockup/v1beta1/lock_reward_receiver/{lock_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

lock_idstring<uint64>requiredpath

Response

200OK

A successful response.

default

An unexpected error response.

Returns lock record by id

GET
https://osmo.nownodes.io/osmosis/lockup/v1beta1/locked_by_id/{lock_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

lock_idstring<uint64>requiredpath

Response

200OK

A successful response.

default

An unexpected error response.

Returns total locked per denom with longer past given time

GET
https://osmo.nownodes.io/osmosis/lockup/v1beta1/locked_denom

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

denomstringquery
durationstringquery

Response

200OK

A successful response.

default

An unexpected error response.

Return full balance of the module

GET
https://osmo.nownodes.io/osmosis/lockup/v1beta1/module_balance

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

Return locked balance of the module

GET
https://osmo.nownodes.io/osmosis/lockup/v1beta1/module_locked_amount

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

Returns next lock ID

GET
https://osmo.nownodes.io/osmosis/lockup/v1beta1/next_lock_id

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

Params returns lockup params.

GET
https://osmo.nownodes.io/osmosis/lockup/v1beta1/params

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

Returns synthetic lockup by native lockup id

GET
https://osmo.nownodes.io/osmosis/lockup/v1beta1/synthetic_lockup_by_lock_id/{lock_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

lock_idstring<uint64>requiredpath

Response

200OK

A successful response.

default

An unexpected error response.

Returns synthetic lockup by native lockup id Deprecated: use SyntheticLockupByLockupID instead

GET
https://osmo.nownodes.io/osmosis/lockup/v1beta1/synthetic_lockups_by_lock_id/{lock_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

lock_idstring<uint64>requiredpath

Response

200OK

A successful response.

default

An unexpected error response.

Mint

EpochProvisions returns the current minting epoch provisions value.

GET
https://osmo.nownodes.io/osmosis/mint/v1beta1/epoch_provisions

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

Params returns the total set of minting parameters.

GET
https://osmo.nownodes.io/osmosis/mint/v1beta1/params

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

Pool-Incentives

DistrInfo returns the pool's matching gauge ids and weights.

GET
https://osmo.nownodes.io/osmosis/pool-incentives/v1beta1/distr_info

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

ExternalIncentiveGauges returns external incentive gauges.

GET
https://osmo.nownodes.io/osmosis/pool-incentives/v1beta1/external_incentive_gauges

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

GaugeIds takes the pool id and returns the matching gauge ids and durations

GET
https://osmo.nownodes.io/osmosis/pool-incentives/v1beta1/gauge-ids/{pool_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

pool_idstring<uint64>requiredpath

Response

200OK

A successful response.

default

An unexpected error response.

IncentivizedPools returns currently incentivized pools

GET
https://osmo.nownodes.io/osmosis/pool-incentives/v1beta1/incentivized_pools

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

LockableDurations returns lock durations for pools.

GET
https://osmo.nownodes.io/osmosis/pool-incentives/v1beta1/lockable_durations

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

Params returns pool incentives params.

GET
https://osmo.nownodes.io/osmosis/pool-incentives/v1beta1/params

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

Superfluid

Returns all of a user's full range CL positions that are superfluid staked.

GET
https://osmo.nownodes.io/osmosis/superfluid/v1beta1/account_delegated_cl_positions/{delegator_address}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

delegator_addressstringrequiredpath

Response

200OK

A successful response.

default

An unexpected error response.

GET
https://osmo.nownodes.io/osmosis/superfluid/v1beta1/account_undelegating_cl_positions/{delegator_address}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

delegator_addressstringrequiredpath

Response

200OK

A successful response.

default

An unexpected error response.

Returns all registered superfluid assets.

GET
https://osmo.nownodes.io/osmosis/superfluid/v1beta1/all_assets

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

Returns all superfluid intermediary accounts.

GET
https://osmo.nownodes.io/osmosis/superfluid/v1beta1/all_intermediary_accounts

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

pagination.keystring<byte>query

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offsetstring<uint64>query

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limitstring<uint64>query

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_totalbooleanquery

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reversebooleanquery

reverse is set to true if results are to be returned in the descending order.

Since: cosmos-sdk 0.43

Response

200OK

A successful response.

default

An unexpected error response.

Returns the total amount of osmo superfluidly staked. Response is denominated in uosmo.

GET
https://osmo.nownodes.io/osmosis/superfluid/v1beta1/all_superfluid_delegations

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

Returns the osmo equivalent multiplier used in the most recent epoch.

GET
https://osmo.nownodes.io/osmosis/superfluid/v1beta1/asset_multiplier

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

denomstringquery

Response

200OK

A successful response.

default

An unexpected error response.

Returns superfluid asset type, whether if it's a native asset or an lp share.

GET
https://osmo.nownodes.io/osmosis/superfluid/v1beta1/asset_type

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

denomstringquery

Response

200OK

A successful response.

default

An unexpected error response.

Returns intermediary account connected to a superfluid staked lock by id

GET
https://osmo.nownodes.io/osmosis/superfluid/v1beta1/connected_intermediary_account/{lock_id}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

lock_idstring<uint64>requiredpath

Response

200OK

A successful response.

default

An unexpected error response.

Returns the amount of a specific denom delegated to a specific validator This is labeled an estimate, because the way it calculates the amount can lead rounding errors from the true delegated amount

GET
https://osmo.nownodes.io/osmosis/superfluid/v1beta1/estimate_superfluid_delegation_amount_by_validator_denom

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

validator_addressstringquery
denomstringquery

Response

200OK

A successful response.

default

An unexpected error response.

Params returns the total set of superfluid parameters.

GET
https://osmo.nownodes.io/osmosis/superfluid/v1beta1/params

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

Returns the coins superfluid delegated for the delegator, validator, denom triplet

GET
https://osmo.nownodes.io/osmosis/superfluid/v1beta1/superfluid_delegation_amount

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

delegator_addressstringquery
validator_addressstringquery
denomstringquery

Response

200OK

A successful response.

default

An unexpected error response.

Returns all the delegated superfluid poistions for a specific delegator.

GET
https://osmo.nownodes.io/osmosis/superfluid/v1beta1/superfluid_delegations/{delegator_address}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

delegator_addressstringrequiredpath

Response

200OK

A successful response.

default

An unexpected error response.

Returns all the superfluid positions of a specific denom delegated to one validator

GET
https://osmo.nownodes.io/osmosis/superfluid/v1beta1/superfluid_delegations_by_validator_denom

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

validator_addressstringquery
denomstringquery

Response

200OK

A successful response.

default

An unexpected error response.

Returns all the undelegating superfluid poistions for a specific delegator.

GET
https://osmo.nownodes.io/osmosis/superfluid/v1beta1/superfluid_undelegations_by_delegator/{delegator_address}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

delegator_addressstringrequiredpath
denomstringquery

Response

200OK

A successful response.

default

An unexpected error response.

GET
https://osmo.nownodes.io/osmosis/superfluid/v1beta1/supply

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

denomstringquery

Response

200OK

A successful response.

default

An unexpected error response.

Returns the specified delegations for a specific delegator

GET
https://osmo.nownodes.io/osmosis/superfluid/v1beta1/total_delegation_by_delegator/{delegator_address}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

delegator_addressstringrequiredpath

Response

200OK

A successful response.

default

An unexpected error response.

Returns a list of whitelisted pool ids to unpool.

GET
https://osmo.nownodes.io/osmosis/superfluid/v1beta1/unpool_whitelist

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

TokenFactory

DenomAuthorityMetadata defines a gRPC query method for fetching DenomAuthorityMetadata for a particular denom.

GET
https://osmo.nownodes.io/osmosis/tokenfactory/v1beta1/denoms/{denom}/authority_metadata

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

denomstringrequiredpath

Response

200OK

A successful response.

default

An unexpected error response.

BeforeSendHookAddress defines a gRPC query method for getting the address registered for the before send hook.

GET
https://osmo.nownodes.io/osmosis/tokenfactory/v1beta1/denoms/{denom}/before_send_hook

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

denomstringrequiredpath

Response

200OK

A successful response.

default

An unexpected error response.

DenomsFromCreator defines a gRPC query method for fetching all denominations created by a specific admin/creator.

GET
https://osmo.nownodes.io/osmosis/tokenfactory/v1beta1/denoms_from_creator/{creator}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

creatorstringrequiredpath

Response

200OK

A successful response.

default

An unexpected error response.

Params defines a gRPC query method that returns the tokenfactory module's parameters.

GET
https://osmo.nownodes.io/osmosis/tokenfactory/v1beta1/params

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

TxFees

Returns a list of all base denom tokens and their corresponding pools.

GET
https://osmo.nownodes.io/osmosis/txfees/v1beta1/base_denom

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

Returns a list of all base denom tokens and their corresponding pools.

GET
https://osmo.nownodes.io/osmosis/txfees/v1beta1/cur_eip_base_fee

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

Returns the poolID for a specified denom input.

GET
https://osmo.nownodes.io/osmosis/txfees/v1beta1/denom_pool_id/{denom}

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

denomstringrequiredpath

Response

200OK

A successful response.

default

An unexpected error response.

FeeTokens returns a list of all the whitelisted fee tokens and their corresponding pools. It does not include the BaseDenom, which has its own query endpoint

GET
https://osmo.nownodes.io/osmosis/txfees/v1beta1/fee_tokens

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Response

200OK

A successful response.

default

An unexpected error response.

DenomSpotPrice returns all spot prices by each registered token denom.

GET
https://osmo.nownodes.io/osmosis/txfees/v1beta1/spot_price_by_denom

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Parameters

denomstringquery

Response

200OK

A successful response.

default

An unexpected error response.